--- 1.13/check_mail.conf	2016-10-18 16:10:19.000000000 -0500
+++ 1.14/check_mail.conf	2016-10-25 16:41:39.000000000 -0500
@@ -34,11 +34,17 @@
     set acl_m_slow1 = 0
 
   drop
-    condition = ${if !eq{EASY_SPF_SOFT_FAIL}{0}}
+    condition = ${if >={EASY_SPF_FAIL}{EASY_HIGH_SCORE_DROP}}
     spf = fail
     message = SPF: $sender_host_address is not allowed to send mail from $sender_address_domain: $spf_smtp_comment
 
   warn
+    condition = ${if !eq{EASY_SPF_FAIL}{0}}
+    spf = fail
+    set acl_m_easy69 = ${eval:$acl_m_easy69+EASY_SPF_FAIL}
+    add_header = SPFCheck: Fail, EASY_SPF_FAIL Spam score
+
+  warn
     condition = ${if !eq{EASY_SPF_PASS}{0}}
     spf	= pass
     set acl_m_slow1 = 1
